=== debian/changelog ===
gsoap (2.8.30-1) unstable; urgency=medium

  * New upstream release (Closes: #819004)
  * Bump soname
  * Drop patch fixed upstream: gsoap-aliasing.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 19 Apr 2016 11:51:50 +0200
