=== debian/control ===
Source: gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), dh-autoreconf, flex, bison, libssl-dev, doxygen, graphviz
Standards-Version: 3.9.7
Section: devel
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
Homepage: http://gsoap2.sourceforge.net/

Package: libgsoap9
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Runtime libraries for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Runtime libraries.

Package: libgsoap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces: gsoap (<< 2.8.12)
Breaks: gsoap (<< 2.8.12)
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap9 (= ${binary:Version})
Description: Development libraries and headers for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Development libraries and
 headers.

Package: gsoap
Section: devel
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap-dev (= ${binary:Version})
Description: Stub generators for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Stub generators.

Package: gsoap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces: gsoap (<< 2.7.17)
Breaks: gsoap (<< 2.7.17)
Depends: ${misc:Depends}
Description: gSOAP documentation
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Documentation files.

Package: libgsoap-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libgsoap9 (= ${binary:Version})
Description: Debugging symbols for gSOAP libraries
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Debugging symbols for libraries.

Package: gsoap-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, gsoap (= ${binary:Version})
Description: Debugging symbols for gSOAP stub generators
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Debugging symbols for stub
 generators.
