## gsoap 2.8.35

=== debian/changelog ===
gsoap (2.8.35-4+deb9u2) stretch; urgency=medium

  * Fix for CVE-2019-7659
    Genivia gSOAP 2.7.x and 2.8.x before 2.8.75 allows attackers to cause a
    denial of service (application abort) or possibly have unspecified other
    impact if a server application is built with the -DWITH_COOKIES flag. This
    affects the C/C++ libgsoapck/libgsoapck++ and libgsoapssl/libgsoapssl++
    libraries, as these are built with that flag.
  * Fix issue with DIME protocol receiver and malformed DIME headers
    This patch addresses a critical issue with the DIME protocol receiver that
    may cause the receiver to become unresponsive when a malformed DIME
    protocol message is received. -- https://www.genivia.com/advisory.html

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 14 Feb 2019 17:12:12 +0100

gsoap (2.8.35-4+deb9u1) stretch; urgency=medium

  * Fix for CVE-2017-9765
    Integer overflow in the soap_get function in Genivia gSOAP 2.7.x and 2.8.x
    before 2.8.48, allows remote attackers to execute arbitrary code or cause
    a denial of service (stack-based buffer overflow and application crash)
    via a large XML document.

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 16 Aug 2017 11:58:11 +0200

gsoap (2.8.35-4) unstable; urgency=medium

  * Rebuild for OpenSSL 1.1.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 06 Dec 2016 09:32:36 +0100

gsoap (2.8.35-3) unstable; urgency=medium

  * Force non-parallel make (Closes: #839019)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 03 Oct 2016 13:20:15 +0200

gsoap (2.8.35-2) unstable; urgency=medium

  * Backport fix from upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Sep 2016 14:49:28 +0200

gsoap (2.8.35-1) unstable; urgency=medium

  * New upstream release
  * Add fixes for OpenSSL 1.1.0 (Closes: #828333)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 19 Sep 2016 11:29:47 +0200
