=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.30
+version = 2.8.35
 # Bump the soversion whenever the new version is not backwards compatible
-soversion = 9
+soversion = 10
 
 export SOURCE_DATE_EPOCH = \
 	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)
@@ -41,7 +41,7 @@
 build-stamp: configure-stamp
 	dh_testdir
 
-	$(MAKE) SOVERSION=$(soversion)
+	$(MAKE) -j1 SOVERSION=$(soversion)
 
 	for f in gsoap/doc/*/Doxyfile ; do \
 	  ( cd `dirname $$f` ; doxygen Doxyfile ) ; \
@@ -53,7 +53,7 @@
 	dh_testdir
 	dh_testroot
 
-	if [ -r Makefile ]; then $(MAKE) reallyveryveryclean; fi
+	if [ -r Makefile ]; then $(MAKE) -j1 reallyveryveryclean; fi
 
 	dh_autoreconf_clean
 
@@ -70,7 +70,7 @@
 	dh_prep
 	dh_installdirs
 
-	$(MAKE) install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) -j1 install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp
 
 	install -p -m 644 debian/WS-README \
 	  $(CURDIR)/debian/tmp/usr/share/gsoap/WS
@@ -139,14 +139,11 @@
 	  mv gsoap-2.8 gsoap-$(version) ; \
 	  echo "Deleting precompiled binaries" ; \
 	  rm -rf gsoap-$(version)/gsoap/bin \
-		 gsoap-$(version)/gsoap/ios_plugin/examples/*/build \
 		 gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
 		 gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
 	  ( cd gsoap-$(version)/gsoap/samples/link++ ; make distclean ) ; \
 	  echo "Deleting pre-generated doxygen documentaion" ; \
-	  rm -rf gsoap-$(version)/gsoap/doc/*/html \
-		 gsoap-$(version)/gsoap/ios_plugin/ios_plugin/docs/html \
-		 gsoap-$(version)/gsoap/samples/databinding/html ; \
+	  rm -rf gsoap-$(version)/gsoap/doc/*/html ; \
 	  echo "Deleting code with only non-free licenses" ; \
 	  rm -rf gsoap-$(version)/gsoap/extras \
 		 gsoap-$(version)/gsoap/mod_gsoap \
