## gsoap 2.8.49

=== debian/changelog ===
gsoap (2.8.49-1) unstable; urgency=medium

  * New upstream release
  * Drop patch gsoap-xlocale.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 11 Jul 2017 16:25:05 +0200

gsoap (2.8.48-3) unstable; urgency=medium

  * Migrate to dbgsym packages
  * Support cross compilation - patch by Helmut Grohne <h.grohne@intenta.de>
    (Closes: #850826)
  * Update the xlocale patch based on upstream's feedback

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 07 Jul 2017 16:11:26 +0200

gsoap (2.8.48-2) unstable; urgency=medium

  * Don't include xlocale.h

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 05 Jul 2017 05:06:36 +0200

gsoap (2.8.48-1) unstable; urgency=medium

  * New upstream release (Closes: #859932)
  * Use -release instead of -version-info to set soname of shared libraries
  * Drop patches gsoap-backport.patch and gsoap-openssl110.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 21 Jun 2017 09:56:01 +0200
