=== debian/rules ===
--- 
+++ 
@@ -1,34 +1,48 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
+include /usr/share/dpkg/architecture.mk
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.35
-# Bump the soversion whenever the new version is not backwards compatible
-soversion = 10
+version = 2.8.49
 
 export SOURCE_DATE_EPOCH = \
 	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)
 
 configure: configure-stamp
 
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+CONFIGURE_FLAGS += --with-soapcpp2=$(CURDIR)/build-native/gsoap/src/soapcpp2
+CONFIGURE_FLAGS += --with-wsdl2h=$(CURDIR)/build-native/gsoap/wsdl/wsdl2h
+endif
+
 configure-stamp:
 	dh_testdir
 
-	find . -name '*.xml' -exec chmod a-x {} ';'
+	find gsoap/samples/autotest/databinding/examples -name '*.xml' \
+		-exec chmod a-x {} ';'
 
 	chmod a-x gsoap/doc/fonts/*
 
 	dh_autoreconf
 
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+	mkdir build-native
+	# out of tree builds are broken
+	cp -a aclocal.m4 configure configure.ac gsoap Makefile.am ylwrap *.in build-native/
+	cd build-native && ./configure
+	$(MAKE) -C build-native
+endif
+
 	CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' \
 	CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' ./configure \
+		--build=$(DEB_BUILD_GNU_TYPE) \
+		--host=$(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
 		--libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)' \
 		--enable-ipv6 \
-		--enable-samples
+		--enable-samples \
+		$(CONFIGURE_FLAGS)
 
 	touch $@
 
@@ -41,7 +55,7 @@
 build-stamp: configure-stamp
 	dh_testdir
 
-	$(MAKE) -j1 SOVERSION=$(soversion)
+	$(MAKE) -j1
 
 	for f in gsoap/doc/*/Doxyfile ; do \
 	  ( cd `dirname $$f` ; doxygen Doxyfile ) ; \
@@ -59,6 +73,7 @@
 
 	rm -rf gsoap/doc/*/html
 	rm -f gsoap/doc/*/doxygen_sqlite3.db
+	rm -rf build-native
 
 	rm -f build-stamp configure-stamp
 
@@ -70,7 +85,7 @@
 	dh_prep
 	dh_installdirs
 
-	$(MAKE) -j1 install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) -j1 install DESTDIR=$(CURDIR)/debian/tmp
 
 	install -p -m 644 debian/WS-README \
 	  $(CURDIR)/debian/tmp/usr/share/gsoap/WS
@@ -84,11 +99,11 @@
 	dh_testroot
 	dh_installdocs -a
 	dh_installchangelogs -a
-	dh_install -a --fail-missing
+	dh_install -a
+	dh_missing -a --fail-missing
 	dh_installman -a
 	dh_link -a
-	dh_strip -a -X/bin/ --dbg-package=libgsoap-dbg
-	dh_strip -a -X/lib/ --dbg-package=gsoap-dbg
+	dh_strip -a --dbgsym-migration='libgsoap-dbg (<< 2.8.48-3~), gsoap-dbg (<< 2.8.48-3~)'
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -a
@@ -104,7 +119,8 @@
 	dh_installdocs -i
 	find $(CURDIR)/debian/gsoap-doc -name Doxyfile -exec rm {} ';'
 	dh_installchangelogs -i
-	dh_install -i --fail-missing
+	dh_install -i
+	dh_missing -i --fail-missing
 	dh_installman -i
 	dh_lintian -i
 	dh_link -i
@@ -140,9 +156,12 @@
 	  echo "Deleting precompiled binaries" ; \
 	  rm -rf gsoap-$(version)/gsoap/bin \
 		 gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
+		 gsoap-$(version)/gsoap/samples/rest/person \
 		 gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
 	  ( cd gsoap-$(version)/gsoap/samples/link++ ; make distclean ) ; \
+	  ( cd gsoap-$(version)/gsoap/samples/wcf/Basic/TransportSecurity ; make distclean ) ; \
 	  echo "Deleting pre-generated doxygen documentaion" ; \
+	  rm -rf gsoap-$(version)/gsoap/doc/html ; \
 	  rm -rf gsoap-$(version)/gsoap/doc/*/html ; \
 	  echo "Deleting code with only non-free licenses" ; \
 	  rm -rf gsoap-$(version)/gsoap/extras \
