## gsoap 2.8.60

=== gsoap/samples/webserver/Makefile ===
--- 
+++ 
@@ -13,9 +13,9 @@
 CMFLAGS=-DWITH_COOKIES -DWITH_GZIP -DWITH_OPENSSL 
 CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
 all:		webserver
-webserver:	webserver.h webserver.c logging.o httpget.o httpform.o httpda.o smdevp.o threads.o options.o $(SOAPH) $(SOAPC)
+webserver:	webserver.h webserver.c logging.o httpget.o httppost.o httpform.o httpda.o smdevp.o threads.o options.o $(SOAPH) $(SOAPC)
 		$(GSOAP) -c -L webserver.h
-		$(CC) $(CFLAGS) -o webserver webserver.c logging.o httpget.o httpform.o httpda.o smdevp.o threads.o options.o soapC.c soapClient.c soapServer.c $(SOAPC) $(LIBS)
+		$(CC) $(CFLAGS) -o webserver webserver.c logging.o httpget.o httppost.o httpform.o httpda.o smdevp.o threads.o options.o soapC.c soapClient.c soapServer.c $(SOAPC) $(LIBS)
 options.o:	opt.h options.h options.c
 		$(GSOAP) -cnpopt opt.h
 		$(CC) $(CFLAGS) -c options.c
@@ -23,6 +23,8 @@
 		$(CC) $(CFLAGS) -c ../../plugin/logging.c
 httpget.o:      ../../plugin/httpget.h ../../plugin/httpget.c
 		$(CC) $(CFLAGS) -c ../../plugin/httpget.c
+httppost.o:	../../plugin/httppost.h ../../plugin/httppost.c
+		$(CC) $(CFLAGS) -c ../../plugin/httppost.c
 httpform.o:	../../plugin/httpform.h ../../plugin/httpform.c
 		$(CC) $(CFLAGS) -c ../../plugin/httpform.c
 httpda.o:	../../plugin/httpda.h ../../plugin/httpda.c
