=== debian/changelog ===
gsoap (2.8.60-2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:37 +0000

gsoap (2.8.60-2) unstable; urgency=medium

  * Restore broken -c and -s modes in wsdl2h
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 03 Feb 2018 17:27:02 +0100

gsoap (2.8.60-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 30 Jan 2018 09:04:24 +0100
