=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: gsoap
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends: debhelper (>= 9), dh-autoreconf, flex, bison, libssl-dev, libssl-dev:native, zlib1g-dev, zlib1g-dev:native, doxygen, graphviz
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Section: devel
-Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
-Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
+Vcs-Browser: https://salsa.debian.org/ellert/gsoap
+Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
 Homepage: http://gsoap2.sourceforge.net/
 
-Package: libgsoap-2.8.49
+Package: libgsoap-2.8.60
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -24,7 +25,7 @@
 Multi-Arch: same
 Replaces: gsoap (<< 2.8.12)
 Breaks: gsoap (<< 2.8.12)
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap-2.8.49 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap-2.8.60 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and
