=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/architecture.mk
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.49
+version = 2.8.60
 
 export SOURCE_DATE_EPOCH = \
 	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)
