## gsoap 2.8.75

=== debian/changelog ===
gsoap (2.8.75-2) unstable; urgency=medium

  * Convert debian/rules to dh tool
  * Change to debhelper compat level 10
  * Separate arch and indep rules in debian/rules
  * Drop Depends on libgsoap-dev in gsoap (Closes: #930961)
  * Replace top level index.html in the doc package with a version without
    external references (lintian privacy-breach-generic warning)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 22 Jul 2019 09:35:50 +0200

gsoap (2.8.75-1) unstable; urgency=medium

  * New upstream release
  * Drop patches gsoap-header.patch and gsoap-size-aname.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 20 Jan 2019 14:32:36 +0100
