=== debian/control ===
Source: gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 10)
Build-Depends-Arch:
 flex,
 bison,
 libssl-dev,
 libssl-dev:native,
 zlib1g-dev,
 zlib1g-dev:native,
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 4.4.0
Section: devel
Vcs-Browser: https://salsa.debian.org/ellert/gsoap
Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
Homepage: http://gsoap2.sourceforge.net/

Package: libgsoap-2.8.75
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: Runtime libraries for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Runtime libraries.

Package: libgsoap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces:
 gsoap (<< 2.8.12)
Breaks:
 gsoap (<< 2.8.12)
Depends:
 ${misc:Depends},
 libgsoap-2.8.75 (= ${binary:Version})
Description: Development libraries and headers for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Development libraries and
 headers.

Package: gsoap
Section: devel
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Stub generators for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Stub generators.

Package: gsoap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces:
 gsoap (<< 2.7.17)
Breaks:
 gsoap (<< 2.7.17)
Depends:
 ${misc:Depends}
Description: gSOAP documentation
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Documentation files.
