## gsoap 2.8.91

=== debian/changelog ===
gsoap (2.8.91-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 03 Dec 2019 11:22:40 +0100

gsoap (2.8.91-1) unstable; urgency=medium

  * Update to 2.8.91
  * Drop patch gsoap-samples-xml-rpc-json-pthread.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 16 Aug 2019 19:36:25 +0200
