=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-version = 2.8.75
+version = 2.8.91
 
 %:
 	dh $@ --no-parallel
@@ -9,7 +9,6 @@
 override_dh_auto_configure-arch:
 	find gsoap/samples/autotest/databinding/examples -name '*.xml' \
 		-exec chmod a-x {} ';'
-	find . -name .DS_Store -exec rm {} ';'
 
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 	mkdir build-native
@@ -49,7 +48,6 @@
 
 override_dh_auto_configure-indep:
 	chmod a-x gsoap/doc/fonts/*
-	find . -name .DS_Store -exec rm {} ';'
 
 override_dh_auto_build-indep:
 	for f in gsoap/doc/*/Doxyfile ; do \
@@ -68,9 +66,8 @@
 		-X guide/index.md -X guide/stdsoap2.h -X soapdoc2.html \
 		-X gsoap/doc/GeniviaLogo2_trans_noslogan.png \
 		-X gsoap/doc/genivia_content.css \
-		-X gsoap/doc/genivia_tabs.css \
+		-X genivia_tabs.css \
 		-X gsoap/doc/index.html \
-		-X apache/ -X wininet/ -X isapi/ \
 		-X doxygen_sqlite3.db
 
 override_dh_compress-indep:
@@ -99,24 +96,33 @@
 	  unzip gsoap_$(version).zip ; \
 	  mv gsoap-2.8 gsoap-$(version) ; \
 	  echo "Deleting precompiled binaries" ; \
-	  rm -rf gsoap-$(version)/gsoap/bin \
-		 gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
-		 gsoap-$(version)/gsoap/samples/rest/person \
-		 gsoap-$(version)/gsoap/samples/wcf/Basic/TransportSecurity/calculator \
-		 gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
+	  rm -rf gsoap-$(version)/gsoap/bin ; \
+	  rm gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
+	     gsoap-$(version)/gsoap/samples/rest/person \
+	     gsoap-$(version)/gsoap/samples/wcf/Basic/TransportSecurity/calculator \
+	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
 	  echo "Deleting pre-generated doxygen documentaion" ; \
 	  rm -rf gsoap-$(version)/gsoap/doc/*/html ; \
 	  echo "Deleting code with only non-free licenses" ; \
 	  rm -rf gsoap-$(version)/gsoap/extras \
 		 gsoap-$(version)/gsoap/mod_gsoap \
-		 gsoap-$(version)/gsoap/Symbian ; \
+		 gsoap-$(version)/gsoap/Symbian \
+		 gsoap-$(version)/gsoap/doc/apache \
+		 gsoap-$(version)/gsoap/doc/wininet \
+		 gsoap-$(version)/gsoap/doc/isapi ; \
 	  echo "Deleting xsd and wsdl files" ; \
-	  rm -rf gsoap-$(version)/gsoap/WS/*.xsd \
-		 gsoap-$(version)/gsoap/WS/*.wsdl \
-		 gsoap-$(version)/gsoap/samples/autotest/*.xsd \
-		 gsoap-$(version)/gsoap/samples/autotest/*.wsdl \
-		 gsoap-$(version)/gsoap/uddi2/*.xsd \
-		 gsoap-$(version)/gsoap/uddi2/*.wsdl ; \
+	  rm gsoap-$(version)/gsoap/WS/*.xsd \
+	     gsoap-$(version)/gsoap/WS/*.wsdl \
+	     gsoap-$(version)/gsoap/samples/autotest/*.xsd \
+	     gsoap-$(version)/gsoap/samples/autotest/*.wsdl \
+	     gsoap-$(version)/gsoap/uddi2/*.xsd \
+	     gsoap-$(version)/gsoap/uddi2/*.wsdl ; \
+	  echo "Deleting pre-generated files" ; \
+	  rm gsoap-$(version)/gsoap/samples/webserver/optC.c \
+	     gsoap-$(version)/gsoap/samples/webserver/optH.h \
+	     gsoap-$(version)/gsoap/samples/webserver/optStub.h ; \
+	  echo "Deleting .DS_Store files" ; \
+	  find gsoap-$(version) -name .DS_Store -exec rm {} ';' ; \
 	  echo "Repacking" ; \
 	  tar -z -c -f gsoap_$(version).orig.tar.gz gsoap-$(version) ; \
 	  echo "Cleaning up" ; \
