## gsoap 2.8.104

=== debian/changelog ===
gsoap (2.8.104-3) unstable; urgency=high

  * Backporting upstream fixes (Closes: #983596)
    - Fixes CVE: CVE-2020-13574 CVE-2020-13575 CVE-2020-13577 CVE-2020-13578
    - Fixes CVE: CVE-2020-13576
  * Urgency high due to fixing RC bug

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 08 Mar 2021 14:06:23 +0100

gsoap (2.8.104-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 25 Jul 2020 08:30:12 +0200

gsoap (2.8.104-1) unstable; urgency=medium

  * Update to 2.8.104
  * Drop patches gsoap-doc-typo.patch and gsoap-yylval.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 22 Jul 2020 15:23:55 +0200

gsoap (2.8.91-3) unstable; urgency=medium

  * Link failure with gcc 10 - multiple definition of yylval (closes: #957315)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 24 Apr 2020 09:20:24 +0200
