=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-version = 2.8.91
+version = 2.8.104
 
 %:
 	dh $@ --no-parallel
@@ -36,6 +36,8 @@
 override_dh_auto_install-arch:
 	dh_auto_install
 	rm debian/tmp/usr/lib/*/*.la
+	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-httpda.o
+	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-smdevp.o
 	install -p -m 644 debian/WS-README debian/tmp/usr/share/gsoap/WS
 
 override_dh_missing-arch:
@@ -97,8 +99,7 @@
 	  mv gsoap-2.8 gsoap-$(version) ; \
 	  echo "Deleting precompiled binaries" ; \
 	  rm -rf gsoap-$(version)/gsoap/bin ; \
-	  rm gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
-	     gsoap-$(version)/gsoap/samples/rest/person \
+	  rm gsoap-$(version)/gsoap/samples/rest/person \
 	     gsoap-$(version)/gsoap/samples/wcf/Basic/TransportSecurity/calculator \
 	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
 	  echo "Deleting pre-generated doxygen documentaion" ; \
@@ -120,7 +121,10 @@
 	  echo "Deleting pre-generated files" ; \
 	  rm gsoap-$(version)/gsoap/samples/webserver/optC.c \
 	     gsoap-$(version)/gsoap/samples/webserver/optH.h \
-	     gsoap-$(version)/gsoap/samples/webserver/optStub.h ; \
+	     gsoap-$(version)/gsoap/samples/webserver/optStub.h \
+	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlC.cpp \
+	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlH.h \
+	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlStub.h ; \
 	  echo "Deleting .DS_Store files" ; \
 	  find gsoap-$(version) -name .DS_Store -exec rm {} ';' ; \
 	  echo "Repacking" ; \
