=== debian/changelog ===
gsoap (2.8.117-2build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 23 Nov 2021 16:25:52 +0100

gsoap (2.8.117-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 23 Aug 2021 14:31:17 +0200

gsoap (2.8.117-1) unstable; urgency=medium

  * Update to 2.8.117
  * Drop patches previously backported
  * Change to debhelper compat level 13
  * Remove override_dh_missing rule (--fail-missing is default)
  * Add /usr/share/gsoap to soapcpp2's default import path (Closes: #977259)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 20 Aug 2021 21:11:03 +0200
