=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
- debhelper (>= 10)
+ debhelper (>= 13)
 Build-Depends-Arch:
  flex,
  bison,
@@ -13,13 +13,13 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: devel
 Vcs-Browser: https://salsa.debian.org/ellert/gsoap
 Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
 Homepage: http://gsoap2.sourceforge.net/
 
-Package: libgsoap-2.8.104
+Package: libgsoap-2.8.117
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -42,7 +42,7 @@
  gsoap (<< 2.8.12)
 Depends:
  ${misc:Depends},
- libgsoap-2.8.104 (= ${binary:Version})
+ libgsoap-2.8.117 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and
