=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-version = 2.8.104
+version = 2.8.117
 
 %:
 	dh $@ --no-parallel
@@ -29,6 +29,10 @@
 		--enable-samples
 endif
 
+override_dh_auto_build-arch:
+	# Add /usr/share/gsoap to soapcpp2's default import path
+	dh_auto_build -- SOAPCPP2_IMPORTPATH='-DSOAPCPP2_IMPORT_PATH="\"/usr/share/gsoap/import:/usr/share/gsoap\""'
+
 override_dh_auto_clean-arch:
 	dh_auto_clean
 	rm -rf build-native
@@ -39,12 +43,6 @@
 	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-httpda.o
 	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-smdevp.o
 	install -p -m 644 debian/WS-README debian/tmp/usr/share/gsoap/WS
-
-override_dh_missing-arch:
-	dh_missing --fail-missing
-
-override_dh_strip-arch:
-	dh_strip --dbgsym-migration='libgsoap-dbg (<< 2.8.48-3~), gsoap-dbg (<< 2.8.48-3~)'
 
 override_dh_autoreconf-indep:
 
@@ -121,10 +119,7 @@
 	  echo "Deleting pre-generated files" ; \
 	  rm gsoap-$(version)/gsoap/samples/webserver/optC.c \
 	     gsoap-$(version)/gsoap/samples/webserver/optH.h \
-	     gsoap-$(version)/gsoap/samples/webserver/optStub.h \
-	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlC.cpp \
-	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlH.h \
-	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlStub.h ; \
+	     gsoap-$(version)/gsoap/samples/webserver/optStub.h ; \
 	  echo "Deleting .DS_Store files" ; \
 	  find gsoap-$(version) -name .DS_Store -exec rm {} ';' ; \
 	  echo "Repacking" ; \
