=== debian/changelog ===
gsoap (2.8.124-2deepin0+rb1) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 22 Dec 2022 22:12:52 +0100

gsoap (2.8.124-1) unstable; urgency=medium

  * Update to 2.8.124
  * Drop ancient Replaces/Breaks

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 21 Dec 2022 07:46:37 +0100
