=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: devel
 Vcs-Browser: https://salsa.debian.org/ellert/gsoap
 Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
 Homepage: http://gsoap2.sourceforge.net/
 
-Package: libgsoap-2.8.117
+Package: libgsoap-2.8.124
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -36,13 +36,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Replaces:
- gsoap (<< 2.8.12)
-Breaks:
- gsoap (<< 2.8.12)
 Depends:
  ${misc:Depends},
- libgsoap-2.8.117 (= ${binary:Version})
+ libgsoap-2.8.124 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and
@@ -63,10 +59,6 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Replaces:
- gsoap (<< 2.7.17)
-Breaks:
- gsoap (<< 2.7.17)
 Depends:
  ${misc:Depends}
 Description: gSOAP documentation
